h1{
    color: wheat;
    letter-spacing: 2px;
    margin-top: 1px;
    font-family:cursive;
    font-size: small;

    text-align: center;
}
img{
    height: 180px;
    width: 180px;
}
p{
    margin-top: 1px;
    color: white;
    text-align: left;
    font-family:cursive;
    letter-spacing: 5px;
    font-size: small;
    padding-left: 10px;
}
body{
    user-select: none;
    background-color: black;
    margin: 0;
    overflow: hidden;
}
.parent{
    height: 100vh;
    display: flex;
    flex-direction: column;
    padding: 10px;
}
.header{
    width: 100%;
    text-align: center;
    height: min-content;
    color: aliceblue;
    padding: 20px;
    border-radius: 5px;
    font-family: Arial, Helvetica, sans-serif;
    font-size:x-large;
    box-shadow: 5px 5px rgb(14, 13, 13);
    margin-bottom: 15px;
    transition-property: transform;
    transition-duration: 0.3s;
    letter-spacing: 20px;
}
.header:hover{
    transform: scale(1.1);
    cursor: pointer;
}
.innercontent{
    display: flex;
    flex-direction: row;
    height: 90%;
}
.options{
    display: flex;
    flex-direction: column;
    width: min-content;
}
.btns{
    text-align: center;
    font-family:Verdana, Geneva, Tahoma, sans-serif;
    font-size: large;
    color: rgb(204, 195, 195);
    padding: 25px;
    box-shadow: 5px 5px rgb(14, 13, 13);
    margin: 20px;
    width: 200px;
    margin: 20px;
    letter-spacing: 2px;
    transition-property: opacity;
    transition-duration: 0.3s;
}
.btns:hover{
    cursor: pointer;
    opacity: 0.5;
}
.menu-body{
    display: flex;
    border-left: 2px solid rgb(24, 22, 22);
    border-top: 2px solid rgb(24, 22, 22);   
    width: 100%;
    height: 100%;
    padding-top: 10px;
}
.songs-menu{
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    gap: 10px;
     scrollbar-width: none; 
    overflow-y: scroll;
    overflow-x: hidden;
    width: 100%;
}
.song{
    height: min-content;
    text-align: center;
    border-radius: 5px;
    padding: 5px;
    box-shadow: 1px 1px rgb(22, 22, 22);
    transition-property: transform;
    transition-duration: 0.3s;
}
.song:hover{
    cursor: pointer;
    transform: scale(1.1);
}
.player{
    display: flex;
    flex-direction: column;
    background-color: rgb(70, 69, 69);
    height: 500px;
    width: min-content;
    margin-left: 20px;
    border-radius: 20px;
    padding: 20px;
}
.default-pic{
    margin: 30px;
    display: flex;
    justify-content: center;
}
.pic{
    height: 220px;
    width: 220px;
    border-radius: 10px;
}
.next-btns{
    display: flex;
    justify-content: space-between;
}
.arrows{
    background-color: brown;
    border-radius: 50%;
    box-shadow: 5px 5px rgb(53, 52, 52);
    margin: 5px;
    font-size: xx-large;
}
.arrows:hover{
    cursor: pointer;
}
.slider{
    -webkit-appearance: none;
    margin-top: 20px;
    height: 10px;
    width: 100%;
    background-color: pink;
    border: 1px solid wheat;
    border-radius: 20px;
    cursor: pointer;
    
}
.slider::-webkit-slider-thumb{
    -webkit-appearance: none;
    height: 25px;
    width: 25px;
    background-color: palevioletred;
    border: 1px solid whitesmoke;
    border-radius: 50%;
}
.controls{
    display: flex;
    font-size: xx-large;
    margin: 25px;
    justify-content: space-evenly;
    color: palevioletred;
}
.operators{
    background-color: rgb(204, 131, 143);
    border-radius: 50%;
    font-size: xx-large;
    padding: 15px;
    color: black;
    box-shadow: 1px 1px wheat;
    cursor: pointer;
}
.searchBarDiv{
    width: 93%;
    height: 30px;
    padding: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 1px 1px rgb(53, 52, 52);
}
.searchBarBorder{
    width: 80%;
    padding: 5px;
    border-radius: 20px;
    background: linear-gradient(orange, white, green);
}
#searchBar{
    width: 100%;
    border-radius: 20px;
    padding: 10px;
    font-size: x-large;
    font-family: cursive;
    color: black;
    
}
.songList{
    padding: 20px;
    height: 100%;
    width: 94.8%;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    box-shadow: 1px 1px rgb(53, 52, 52);
}
.borderForNewSong{
    height: min-content;
    padding: 2px;
    border-radius: 5px;
    background: white;
    cursor: pointer;
    transition-property: transform;
    transition-duration: 0.3s;
    margin-right: 20px;
}
.newSong{
    background-color: black;
    height: 309.14px;
    padding: 5px;
    
}
.essentials{
    width: 75%;
    height: 100%;
    border: 1px solid rgb(53, 52, 52);
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 15px;
}
.borderForNewSong:hover{
    transform: scale(1.1);
}
.choose-file{
    background: black;
    font-size: large;
    cursor: pointer;
}
.choose-file::-webkit-file-upload-button{
    display: block;
    letter-spacing: 2px;
    font-family:Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    background: linear-gradient(270deg,rgb(146, 80, 80),  rgb(91, 91, 150), rgb(231, 191, 198));
    border: 1px solid white;
    border-radius: 5px;
    cursor: pointer;
}
.songNamePad{
    padding: 5px;
    font-size: large;
    font-family: cursive;
    letter-spacing: 3px;
    border-radius: 5px;
}
.submitDiv{
    width: 100%;
    height: 250px;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
}
.submit{
    font-size: x-large;
    letter-spacing: 2px;
    border-radius: 15px;
    padding: 5px;
    box-shadow: 2px 2px rgb(58, 58, 58);
    cursor: pointer;
}
.d1{
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
}
.d2{
    
    display: flex;
    flex-wrap: nowrap;
    gap: 0px;
    flex-direction: row;   
    width: 100%;

}
.d3{
    justify-content: center;
    align-items: center;
    gap: 0px;
    flex-wrap: nowrap;   
}
